classification
Title: "make pycremoval" fails
Type: behavior Stage: resolved
Components: Build Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pitrou Nosy List: barry, eric.araujo, pitrou
Priority: normal Keywords:

Created on 2010-05-08 19:50 by pitrou, last changed 2010-05-16 22:07 by pitrou. This issue is now closed.

Messages (3)
msg105331 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-08 19:50
This is probably because you remove the directory while find is walking it:

$ make pycremoval
find . -name '*.py[co]' -exec rm -f {} ';'
find . -name '__pycache__' -exec rmdir {} ';'
find: `./Lib/http/__pycache__': No such file or directory
find: `./Lib/unittest/test/__pycache__': No such file or directory
find: `./Lib/unittest/__pycache__': No such file or directory
find: `./Lib/email/__pycache__': No such file or directory
find: `./Lib/test/__pycache__': No such file or directory
find: `./Lib/importlib/__pycache__': No such file or directory
find: `./Lib/urllib/__pycache__': No such file or directory
find: `./Lib/__pycache__': No such file or directory
find: `./Lib/encodings/__pycache__': No such file or directory
find: `./Lib/json/__pycache__': No such file or directory
make: [pycremoval] Error 1 (ignored)
msg105387 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-05-09 12:36
Suggestion: rm -rf __pycache__ dirs before using find for stray pycs.
msg105827 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-15 21:35
I'm trying a fix in r81209. If the buildbots don't complain I'll close the issue.
History
Date User Action Args
2010-05-16 22:07:42pitrousetstatus: pending -> closed
resolution: fixed
2010-05-15 21:35:09pitrousetstatus: open -> pending
assignee: barry -> pitrou
messages: + msg105827

stage: needs patch -> resolved
2010-05-09 12:36:13eric.araujosetnosy: + eric.araujo
messages: + msg105387
2010-05-08 19:50:58pitroucreate